local mod = ...



-- Building Function: Pagan Worship -------------------------------------------------------------------------------------
mod:register({
    DataType = "BUILDING_FUNCTION_CHURCH",
    Id = "BUILDING_FUNCTION_PAGAN",
	Name = "BUILDING_PAGAN_NAME",
	ResourceGeneratorData = { 
		ResourceGenerated = "RESOURCE_PAGANISM",
		IsForConsumer = true,
		IsInfinite = false
	},
    WorkerCapacity = 0,
    RelatedJob = {
        DataType = "ASSOCIATION_JOB_BEHAVIOR",
        Job = "MARKET_TENDER",
        Behavior = "BEHAVIOR_WORK",
    },
})



-- Building: Pagan Worship -------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING", 
	Id = "BUILDING_PAGAN",
	Name = "BUILDING_PAGAN_NAME",
	Description = "BUILDING_PAGAN_DESC",
	BuildingType = "SERVICE",
	AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
    AssetMiniatureBuildingPart = "BUILDING_PART_PAGAN_STONECIRCLE1",
	BuildingPartSetList = {
		{
			Name = "BUILDING_SET_PAGAN1_NAME",
			BuildingPartList = { 
				"BUILDING_PART_PAGAN_SPRING1",
				"BUILDING_PART_PAGAN_STONECIRCLE1",
				"BUILDING_PART_PAGAN_GROVE1",
				"BUILDING_PART_PAGAN_STONEHENGE1",
				"BUILDING_PART_PAGAN_VOLCANO1",
			}
		},
    },
    AssetBuildingFunction = "BUILDING_FUNCTION_PAGAN",
	VillagerRequired = { Status = "NEWCOMER", Quantity = 10 },
	IsEditable = true,
})



